@font-face {
  font-family: Monaco;
  src: url("font/Monaco.ttf");
}

@font-face {
  font-family: 'Franklin Gothic Demi';
  src: url('font/FranklinGothic-Demi.woff2') format('woff2'),
      url('font/FranklinGothic-Demi.woff') format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'ScalaSans';
  src: url('font/ScalaSans-Bold.woff2') format('woff2'),
      url('font/ScalaSans-Bold.woff') format('woff'),
      url('font/ScalaSans-Bold.ttf') format('truetype');
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Scala Sans';
  src: url('font/ScalaSans-Regular.woff2') format('woff2'),
      url('font/ScalaSans-Regular.woff') format('woff'),
      url('font/ScalaSans-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

body {
  background-color: #000000;
}

html,
body, 
.leaflet-container {
  font-family: 'Scala Sans', Arial, Helvetica, sans-serif;
  height: 100%;
  padding: 0;
  margin: 0;
}

.popup-content {
	font-family: 'ScalaSans';
  padding: 10px;
  color: #c7d533;
  font-weight: bold;
}
.popup-content div {
	font-family: 'Scala Sans';
  color: #603620;
  font-weight: normal;
}

.phonetic, .popup-content div.phonetic {
  font-family: Monaco;
}

#map {
  /* configure the size of the map */
  width: 100%;
  height: 100%;
  opacity: 0.7;
}

.leaflet-tooltip-right {
  margin-left: 17px;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
  padding-right: 15px;
}
.leaflet-tooltip-left {
  margin-left: -17px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
  padding-left: 15px;
}
.leaflet-tooltip {
  font-size: 15px;
  font-weight: normal;
  background: #603620;
  border: 5px solid #c7d533;
  opacity: 1 !important;
  color: #c7d533;
  padding-top: 0px;
  padding-bottom: 0px;
}
.leaflet-tooltip-right::before {
  border: 10px solid transparent;
  left: 0;
  margin-left: -30px;
  margin-top: -10px;
  border-right-color: #c7d533;
  border-right-width: 20px;
}
.leaflet-tooltip-left::before {
  border: 10px solid transparent;
  right: 0;
  margin-right: -30px;
  margin-top: -10px;
  border-left-color: #c7d533;
  border-left-width: 20px;
}
.leaflet-popup-content-wrapper {
  border: 5px solid #c7d533;
  padding: 0px;
  overflow: hidden;
  border-top-right-radius: 20px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 0px;
  border-bottom-right-radius: 0px;
}
.leaflet-popup-tip {
  background-color: #c7d533;
}
.leaflet-container a.leaflet-popup-close-button:hover {
  color: transparent;
}
.leaflet-container a.leaflet-popup-close-button {
  background-image: url('data:image/svg+xml;charset=UTF-8,<svg width="30px" height="30px" viewBox="0 0 30 30" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M0,30 L14,16" stroke="white" stroke-width="3"></path><path d="M16,14 L30,0" stroke="white" stroke-width="3"></path><path d="M30,30 L16,16" stroke="white" stroke-width="3"></path><path d="M14,14 L0,0" stroke="white" stroke-width="3"></path></svg>');
  background-size: 30px 30px;
  background-position: -3px -3px;
  background-repeat: no-repeat;
  margin-top: -15px;
  margin-right: -15px;
  border: 5px solid #c7d533;
  border-radius: 20px;
  background-color: #afa700;
  color: transparent;
}
.leaflet-popup-content {
  margin: 0px;
}
.popup-header {
  background-color: #603620;
  color: #c7d533;
  font-size: 19px;
  padding: 5px 15px 5px 10px;
}
.popup-content {
  padding: 10px;
  color: #c7d533;
  font-weight: bold;
}
.popup-content div {
  color: #603620;
  font-weight: normal;
}
.screen-header {
  font-family: 'Franklin Gothic Demi', Arial, Helvetica, sans-serif;
  position: absolute;
  z-index: 1000;
  top: 20px;
  left: -8px;
  background-color: #afa700;
  color: #603620;
  font-weight: bold;
  font-size: 20px;
  border: 8px solid #c7d533;
  border-top-left-radius: 0px;
  border-top-right-radius: 40px;
  border-bottom-left-radius: 0px;
  border-bottom-right-radius: 40px;
  padding: 5px 20px;
}

.menu {
  display: flex;
  background-color: #603620;
  z-index: 1000;
  bottom: 75px;
  position: absolute;
}
.menu button {
  border: none;
  background: none;
  display: flex;
}
.menu img {
  width: 40px;
  height: 40px;
  margin: 7px 5px;
  cursor: pointer;
}
.menu-left {
  left: 0px;
  padding-left: 120px;
  padding-right: 2px;
  border-top-right-radius: 50px;
  border-bottom-right-radius: 50px;
}
.menu-right {
  right: 0px;
  padding-right: 120px;
  padding-left: 2px;
  border-top-left-radius: 50px;
  border-bottom-left-radius: 50px;
}

.info-overlay.hidden,
.legend.hidden {
  opacity: 0;
}
.info-overlay {
  display: none;
  opacity: 1;
  transition: opacity 0.5s;
  z-index: 1001;
  position: fixed;
  width: 70%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 8px solid #c7d533;
  background-color: #e9e9e9;
  color: black;
}
.info-overlay .header {
  background-color: #603620;
  color: #afa700;
  font-weight: bold;
  font-size: 20px;
  padding: 10px 20px;
}
.info-overlay .content {
  padding: 10px 20px;
}
.info-overlay .close-button {
  background-image: url('data:image/svg+xml;charset=UTF-8,<svg width="30px" height="30px" viewBox="0 0 30 30" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M0,30 L14,16" stroke="white" stroke-width="3"></path><path d="M16,14 L30,0" stroke="white" stroke-width="3"></path><path d="M30,30 L16,16" stroke="white" stroke-width="3"></path><path d="M14,14 L0,0" stroke="white" stroke-width="3"></path></svg>');
  background-size: 30px 30px;
  background-repeat: no-repeat;
  position: absolute;
  height: 40px;
  width: 40px;
  bottom: 0;
  margin-top: -10px;
  border: 5px solid #c7d533;
  border-radius: 20px;
  background-color: #afa700;
  color: transparent;
  top: -15px;
  right: -25px;
  margin-left: -20px;
  cursor: pointer;
}

.legend {
  display: none;
  opacity: 1;
  pointer-events: none;
  transition: opacity 0.3s;
  background-image: url(../img/legend_overlay.png?2);
  background-size: 193px 250px;
  background-repeat: no-repeat;
  font-size: 12px;
  line-height: 16px;
  color: #603620;
  z-index: 1001;
  position: absolute;
  bottom: 8px;
  height: 250px;
  width: 193px;
}

.legend-right {
}

.legend-left {
  right: 11px;
}

.legend button {
  pointer-events: auto;
  border: none;
  background: none;
  display: flex;
  position: absolute;
  padding: 0px;
  bottom: 0px;
  width: 40px;
  height: 40px;
  right: 0px;
}

.legend button img {
  margin: 0px;
}

.legend label {
  font-size: 15px;
  pointer-events: auto;
  cursor: pointer;
  display: block;
  padding: 7px 10px 8px 35px;
}

label.first {
  margin-top: 5px !important;
}

.legend input[type="checkbox"] {
  pointer-events: auto;
  display: none;
}

.legend label:before {
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  margin-left: -25px;
  position: absolute;
  background-color: #fff;
}

.legend input[type="checkbox"]:checked + label:before {
  content: "";
  background-color: #603620;
}

button:focus {
  outline:0;
}

#right-cover-area {
  display: none;
  position: fixed;
  z-index: 400;
  width: 100px;
  right: 0;
  top: 0;
  bottom: 0;
  background: url(../img/rand-overlay-right.png);
  background-size: 100px 100px;
  background-repeat: repeat-y;
}

#left-cover-area {
  display: none;
  position: fixed;
  z-index: 400;
  width: 100px;
  left: 0;
  top: 0;
  bottom: 0;
  background: url(../img/rand-overlay-left.png);
  background-size: 100px 100px;
  background-repeat: repeat-y;
}

.call-to-action-image {
  z-index: 1000;
  transition: opacity 0.5s;
  pointer-events: none;
  position: fixed;
  height: 650px;
  width: 650px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.call-to-action-image.hidden {
  opacity: 0;
}

.leaflet-control-attribution {
  pointer-events: none;
}